#ifndef TREEH_H
#define TREEH_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdbool.h>

#define NBCHAR 27 //A-Z + '


typedef struct _node node, *tree;
struct _node{
  char letter;
  bool isEnd;
  node* next[NBCHAR];
};

tree make_empty_tree();
node* make_empty_node();
node* make_node(char,bool);
void delete_tree(tree);

bool is_empty(tree);
bool is_end(tree);
bool is_followed(tree);//tells if tree has following letters
int hash(char);//need to check if isalpha

void addto_tree(tree,string,int);
void addto_tree2(tree,string);


#endif //TREEH_H
